%define major 0
%define api 1.7
%define libname %mklibname %{name} %{api} %{major}
%define develname %mklibname %{name} -d

Summary:	Spell checker and morphological analyzer library
Name:		hunspell
Version:	1.7.0
Release:	%mkrel 4
License:	GPLv2+
Group:		System/Internationalization
Url:		http://hunspell.github.io/
Source0:	https://github.com/hunspell/hunspell/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
# (tpg) Mdv's specific path to myspell dictionaries
Patch0:		%{name}-1.3.4-dict-path.patch
# fix for CVE-2019-16707 (mga#25963)
Patch1:		0001-invalid-read-memory-access-624.patch
BuildRequires:	gettext-devel
BuildRequires:	readline-devel
BuildRequires:	pkgconfig(ncursesw)
BuildRequires:	pkgconfig(ncurses)
BuildRequires:	bison
BuildRequires:	libtool
Requires:	%{libname} = %{version}-%{release}
Recommends:	hunspell-dictionary

%description
Hunspell is a spell checker and morphological analyzer library
and program designed for languages with rich morphology and complex
word compounding or character encoding.


%package -n	%{libname}
Summary:	Shared libraries for hunspell
Group:		System/Libraries
Provides:	libhunspell = %{version}-%{release}
Recommends:	hunspell-dictionary

%description -n	%{libname}
Shared libraries for hunspell.


%package -n	%{develname}
Summary:	Development files for hunspell
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}

%description -n	%{develname}
Development files and headers for hunspell.


%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure --disable-static \
	--with-ui \
	--with-readline \
	--disable-rpath
%make_build
cd po && make %{?_smp_mflags} update-gmo && cd ..


%check
make check

%install
%make_install

%find_lang %{name} --with-man

rm -f %{buildroot}%{_libdir}/*.la

%files -f %{name}.lang
%doc AUTHORS NEWS README.md
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%{_mandir}/man5/*

%files -n %{libname}
%{_libdir}/*%{api}.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Feb 18 2020 umeabot <umeabot> 1.7.0-4.mga8
+ Revision: 1542174
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sat Jan 04 2020 luigiwalser <luigiwalser> 1.7.0-3.mga8
+ Revision: 1475968
- rebuild for readline

* Fri Dec 27 2019 daviddavid <daviddavid> 1.7.0-2.mga8
+ Revision: 1470247
- add upstream patch to fix CVE-2019-16707 (mga#25963)

* Thu Nov 22 2018 shlomif <shlomif> 1.7.0-1.mga7
+ Revision: 1333274
- New version 1.7.0

* Thu Oct 04 2018 umeabot <umeabot> 1.6.2-3.mga7
+ Revision: 1317695
- Mageia 7 Mass Rebuild

* Tue Dec 19 2017 shlomif <shlomif> 1.6.2-2.mga7
+ Revision: 1183475
- Fix README dangling symlink ( MGA#22225 ).

* Wed Oct 04 2017 shlomif <shlomif> 1.6.2-1.mga7
+ Revision: 1168306
- New version 1.6.2

* Mon Jul 17 2017 shlomif <shlomif> 1.6.1-1.mga7
+ Revision: 1124489
- New version 1.6.1
+ luigiwalser <luigiwalser>
- 1.6.0

* Mon May 09 2016 luigiwalser <luigiwalser> 1.4.1-1.mga6
+ Revision: 1011422
- 1.4.1

* Thu Apr 21 2016 tv <tv> 1.4.0-1.mga6
+ Revision: 1004113
- adjust file list
- new release

* Wed Apr 13 2016 shlomif <shlomif> 1.3.4-1.mga6
+ Revision: 1000993
- New version 1.3.4
- See https://github.com/hunspell/hunspell/issues/371 for why experimental
  was removed.

* Fri Feb 26 2016 luigiwalser <luigiwalser> 1.3.3-5.mga6
+ Revision: 979723
- add patch to fix build with grep 2.23

* Thu Feb 04 2016 umeabot <umeabot> 1.3.3-4.mga6
+ Revision: 934417
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.3.3-3.mga5
+ Revision: 745359
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.3.3-2.mga5
+ Revision: 680206
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/

* Thu Jun 05 2014 luigiwalser <luigiwalser> 1.3.3-1.mga5
+ Revision: 633585
- 1.3.3

* Sat Oct 19 2013 umeabot <umeabot> 1.3.2-8.mga4
+ Revision: 522542
- Mageia 4 Mass Rebuild

* Sun Mar 17 2013 lmenut <lmenut> 1.3.2-7.mga3
+ Revision: 403605
- rebuild for new rpm-mageia-setup
  do not own man lang directories (mga #9055)

* Fri Jan 25 2013 fwang <fwang> 1.3.2-6.mga3
+ Revision: 392228
- suggest dictionary in libpackage instead

* Sat Jan 12 2013 umeabot <umeabot> 1.3.2-5.mga3
+ Revision: 353375
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 kamil <kamil> 1.3.2-4.mga3
+ Revision: 325114
- rebuild for Mga3 Beta1
- add hunspell-dictionary as a suggestion of hunspell (mga#5749)

* Tue Sep 13 2011 fwang <fwang> 1.3.2-2.mga2
+ Revision: 142892
- update file list
- update file list
- drop .la files

* Sun Jun 26 2011 fwang <fwang> 1.3.2-1.mga2
+ Revision: 113978
- new version 1.3.2

* Fri Jan 14 2011 mikala <mikala> 1.2.12-3.mga1
+ Revision: 17752
- Drop mdk macros
- imported package hunspell


* Wed Sep 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.2.12-3mdv2011.0
+ Revision: 576881
- fix previously applied patch

* Wed Sep 08 2010 Ahmad Samir <ahmadsamir@mandriva.org> 1.2.12-2mdv2011.0
+ Revision: 576806
- add upstream patch to fix double buffer gcc fortify issue (mdv#60931)

* Sat Aug 07 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.12-1mdv2011.0
+ Revision: 567379
- update to new version 1.2.12
- rediff patch 0

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 1.2.8-4mdv2010.1
+ Revision: 520123
- rebuilt for 2010.1

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 1.2.8-3mdv2010.0
+ Revision: 425192
- rebuild

* Thu Mar 12 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.8-2mdv2009.1
+ Revision: 354333
- rebuild for latest readline

* Tue Nov 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.8-1mdv2009.1
+ Revision: 299853
- update to new version 1.2.8
- enable some extra experimental functions

* Tue Nov 04 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.7-2mdv2009.1
+ Revision: 299841
- rebuild

* Mon Aug 25 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.7-1mdv2009.0
+ Revision: 275775
- adjust rpm group
- update to new version 1.2.7
- enable checks

* Wed Aug 13 2008 Tiago Salem <salem@mandriva.com.br> 1.2.6-3mdv2009.0
+ Revision: 271416
- add a provide for libhunspell
- bump release

* Mon Jul 21 2008 Thierry Vignaud <tv@mandriva.org> 1.2.6-2mdv2009.0
+ Revision: 239269
- fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake

* Thu Jul 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.6-1mdv2009.0
+ Revision: 237832
- update to new version 1.2.6
- Patch0: add mandriva specific path to myspell dictionaries

* Thu Jul 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.5-1mdv2009.0
+ Revision: 233526
- update to new version 1.2.5
- run scriplets only for mdv releases older than 2009.0

* Wed Jun 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.4-1mdv2009.0
+ Revision: 225403
- add missing buildrequire on ncurses-devel
- fix file list
- update to new version 1.2.4

  + Thierry Vignaud <tv@mandriva.org>
    - make it backportable on 2008.1

* Thu May 29 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1.2.2-1mdv2009.0
+ Revision: 213002
- add sources and spec file
- Created package structure for hunspell.

